Skip to main content
GET
/report/insight/benchmarking/revenue-dimension

Query Parameters

uid
integer
required

A single publisher ID

range
enum<string>
default:thirty_days

Date range to report on. Preset ranges end yesterday. month_to_date is the current month so far and week_to_date is the current week so far. custom requires start and end (YYYY-MM-DD). Other values return a 400 error

Available options:
custom,
all_time,
seven_days,
fourteen_days,
thirty_days,
three_months,
six_months,
week_to_date,
month_to_date,
quarter_to_date,
year_to_date,
last_week,
last_month,
last_quarter,
last_year,
month_on_month,
quarter_on_quarter,
yesterday
start
string<date>

Start date when range=custom

end
string<date>

End date when range=custom

dimension
enum<string>
default:geo

The dimension to report on

Available options:
ad_unit_type,
geo,
region,
device,
channel,
partner,
creative_size
environment
enum<string>
default:all

Environment or platform to report from

Available options:
all,
app,
web
exclude_pubs
enum<string>
default:no

When yes, leaves out publishers in the same organisation as this publisher, including its child organisations, from the cohort and network

Available options:
yes,
no

Response

200 - application/json
results
object
required
success
boolean
required